Subject: bug#51139: 29.0.50; MH-E and edmacro byte-compile warnings in nox builds

From: Eli Zaretskii <[email-masked]>
Date: Tue, 12 Oct 2021 16:06:08 +0300

> Cc: Dave Gillespie <[email-masked]>, Bill Wohler <[email-masked]>
> Date: Mon, 11 Oct 2021 22:17:19 +0100
> From:  "Basil L. Contovounesios" via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> I see the following byte-compilation warnings in --without-x builds:
> 
> --8<---------------cut here---------------start------------->8---
> In edmacro-fix-menu-commands:
> edmacro.el:622:34: Warning: reference to free variable
>     ‘mouse-wheel-down-event’
> edmacro.el:622:57: Warning: reference to free variable ‘mouse-wheel-up-event’
> edmacro.el:623:34: Warning: reference to free variable
>     ‘mouse-wheel-right-event’
> edmacro.el:624:34: Warning: reference to free variable
>     ‘mouse-wheel-left-event’
> 
> In end of data:
> mh-e/mh-compat.el:96:5: Warning: the function ‘image-search-load-path’ is not
>     known to be defined.
> mh-e/mh-compat.el:93:5: Warning: the function ‘image-load-path-for-library’ is
>     not known to be defined.
> In mh-logo-display:
> mh-e/mh-utils.el:129:40: Warning: Unused lexical variable `image-load-path'
> In mh-tool-bar-folder-buttons-init:
> mh-e/mh-tool-bar.el:302:1: Warning: Unused lexical variable `image-load-path'
> In mh-tool-bar-letter-buttons-init:
> mh-e/mh-tool-bar.el:384:3: Warning: Unused lexical variable `image-load-path'
> In end of data:
> mh-e/mh-utils.el:128:24: Warning: the function ‘image-load-path-for-library’
>     is not known to be defined.
> In end of data:
> mh-e/mh-tool-bar.el:302:1: Warning: the function ‘image-load-path-for-library’
>     is not known to be defined.
> --8<---------------cut here---------------end--------------->8---
> 
> The MH-E warnings are seen on master, whereas the edmacro ones are also
> on emacs-28 (details of both configurations follow my signature).
> 
> I assume the warnings are not important enough to install anything on
> emacs-28, so I attach a patch against master for both sets of warnings.
> WDYT?

It's okay to install trivial changes on emacs-28 to shut up those
warnings.